Bug 256113 - print/epson-inkjet-printer-escpr2: Update to 1.1.33
Summary: print/epson-inkjet-printer-escpr2: Update to 1.1.33
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Bowling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-24 02:10 UTC by Tatsuki Makino
Modified: 2021-06-14 23:28 UTC (History)
1 user (show)

See Also:
tatsuki_makino: maintainer-feedback+


Attachments
patch for print/epson-inkjet-printer-escpr2 (37.57 KB, patch)
2021-05-24 02:10 UTC, Tatsuki Makino
tatsuki_makino: maintainer-approval+
Details | Diff
poudriere log (34.32 KB, text/plain)
2021-05-24 02:12 UTC, Tatsuki Makino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tatsuki Makino 2021-05-24 02:10:35 UTC
Created attachment 225211 [details]
patch for print/epson-inkjet-printer-escpr2

epson-inkjet-printer-escpr2 has been updated to 1.1.33.

--- epson-inkjet-printer-escpr2-1.1.32/NEWS        2021-04-26 04:43:06.000000000 +0000
+++ epson-inkjet-printer-escpr2-1.1.33/NEWS        2021-04-26 07:52:44.000000000 +0000
@@ -1,7 +1,12 @@
 NEWS -- an overview of user-visible changes with each release
 
 ----------------------------------------------------------------------
+epson-inkjet-printer-escpr2-1.1.33                        (2021-04-26)
+----------------------------------------------------------------------
+ * Supported new models
+
+----------------------------------------------------------------------
 epson-inkjet-printer-escpr2-1.1.32                        (2021-04-26)
 ----------------------------------------------------------------------
  * Supported new models
 
New PPD file for WF-7310 Series has been added.

Changes on the port side:
Drop jpeg from USE_LINUX. This is because ESC/P-R does not have the ability to print watermarks.
The variables in the Makefile have been sorted again. The balance between portlint and portclippy is the quietest :)
Change PLIST_SUB so that makeplist generates more human-readable, greppable pkg-plist.
Re-gzip the gunzipped *.ppd.gz.

The patch was generated by the following command.
git diff --no-color --no-relative --no-prefix HEAD -- print/epson-inkjet-printer-escpr2
Comment 1 Tatsuki Makino 2021-05-24 02:12:11 UTC
Created attachment 225212 [details]
poudriere log
Comment 2 commit-hook freebsd_committer 2021-06-14 23:27:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f1c1dfad23b5da81ceb450526bb29467808055e6

commit f1c1dfad23b5da81ceb450526bb29467808055e6
Author:     Tatsuki Makino <tatsuki_makino@hotmail.com>
AuthorDate: 2021-06-14 23:24:35 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-14 23:27:11 +0000

    print/epson-inkjet-printer-escpr2: Update to 1.1.33

    * New PPD file for WF-7310 Series has been added.
    * Drop jpeg from USE_LINUX. This is because ESC/P-R does not have the
    ability to print watermarks.
    * plist sorting/cleanup
    * The variables in the Makefile have been sorted again.
    * Re-gzip the gunzipped *.ppd.gz.

    PR:             256113
    Approved by:    maintainer

 print/epson-inkjet-printer-escpr2/Makefile  |  48 ++--
 print/epson-inkjet-printer-escpr2/distinfo  |  14 +-
 print/epson-inkjet-printer-escpr2/pkg-plist | 361 ++++++++++++++--------------
 3 files changed, 213 insertions(+), 210 deletions(-)
Comment 3 Kevin Bowling freebsd_committer 2021-06-14 23:28:07 UTC
Thanks for your contribution!